//
//  iDeviceAdressAnnotation.m
//  iDing
//
//  Created by Macbook Pro on 29/01/13.
//  Copyright (c) 2013 Abusamy Ltd.. All rights reserved.
//

#import "iDeviceAdressAnnotation.h"

@implementation iDeviceAdressAnnotation
@synthesize iDevice,mSubTitle,mTitle,coordinate,mlastSeen,mlastFix;

- (NSString *)subtitle{
    NSString *temp = [NSString stringWithFormat:@"Serial: %@\t%@",mSubTitle,mlastSeen];
    
    return temp;
}

- (NSString *)title{
    NSString *temp = mlastFix;
    return temp;
}

- (NSString *)lastseen{
    //NSString *temp = [NSString stringWithFormat:@"Seen: %@ s",mlastSeen];
    
    return mlastSeen;
}

- (NSString *)lastfix{
    NSString *temp = [NSString stringWithFormat:@"GPS Fix: %@",mlastFix];
    return temp;
}

-(NSString *)subTitle2
{
    return @"Sub:";
}

-(id)initWithCoordinate:(CLLocationCoordinate2D) c{
    coordinate = c;
   // NSLog(@"%f,%f",c.latitude,c.longitude);
    return self;
}


@end
